PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PThreadPool< Work_T >::WorkerThread Member List

This is the complete list of members for PThreadPool< Work_T >::WorkerThread, including all inherited members.

AddWork(Work_T *work)=0 | PThreadPool< Work_T >::WorkerThread | pure virtual
m_pool | PThreadPool< Work_T >::WorkerThread | protected
Main()=0 | PThreadPool< Work_T >::WorkerThread | pure virtual
RemoveWork(Work_T *work)=0 | PThreadPool< Work_T >::WorkerThread | pure virtual
WorkerThread(PThreadPool &pool, Priority priority=NormalPriority, const char *threadName=NULL) | PThreadPool< Work_T >::WorkerThread | inline protected